dimnames {CALIB} | R Documentation

## Retrieve the Dimension Names of an RGList_CALIB or SpikeList object.

### Description

Retrieve the the dimension names of an RGList_CALIB object or an SpikeList object

### Usage

     ## S3 method for class 'RGList_CALIB':
     dimnames(x)

### Arguments

`x` | an object of class `RGList_CALIB` or `SpikeList`.

### Details

The dimension names of a micrroarry object or a spike object are the same as those of the most important matrix component of that object.

A consequence is that row and column command `rownames` and `colnames` also work.

### Value

Either `NULL` or a list of length 2. If the value is a list, its componets are either `NULL` or a character vector with the length of the appropriate dimension of `x`. If the list component is not `NULL`, the first field of the list indicates rownames and the second field indicates colnames.

### Author(s)

Hui Zhao

### References

`dimnames` in limma package

### See Also

`dimnames` in the base package

`dimnames` in the limma package

### Examples

    # for RGList_CALIB
    R <- G <- matrix(1:8,4,2)
    rownames(R) <- rownames(G) <- c("g1","g2","g3","g4")
    colnames(R) <- colnames(G) <- c("a1","a2")
    RG <- new("RGList_CALIB",list(R=R,G=G))

    dimnames(RG)

    # for SpikeList
    SR <- SG <- matrix(1:8,4,2)
    rownames(SR) <- rownames(SG) <- c("s1","s2","s3","s4")
    colnames(SR) <- colnames(SG) <- c("a1","a2")
    spike <- new("SpikeList",list(R=SR,G=SG))

    dimnames(spike)

[Package CALIB version 1.10.0 Index]